io.vertx.ext.auth.shiro

## Class ShiroAuthOptions

- java.lang.Object
- - io.vertx.ext.auth.shiro.ShiroAuthOptions

- All Implemented Interfaces:
    AuthOptions

  Deprecated.
  ShiroAuth has been replaced by `io.vertx.ext.auth.properties.PropertyFileAuthentication` and `io.vertx.ext.auth.ldap.LdapAuthentication`

      @Deprecated
      public class ShiroAuthOptions
      extends Object
      implements AuthOptions

  Shiro auth configuration options, see Vert.x Auth Shiro component and/or Apache Shiro project.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ShiroAuthRealmType` | `DEFAULT_TYPE` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShiroAuthOptions()` Deprecated.
    `ShiroAuthOptions(JsonObject json)` Deprecated.
    `ShiroAuthOptions(ShiroAuthOptions that)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ShiroAuthOptions` | `clone()` Deprecated.
    `AuthProvider` | `createProvider(Vertx vertx)` Deprecated. Create the suitable provider for this option.
    `JsonObject` | `getConfig()` Deprecated.
    `ShiroAuthRealmType` | `getType()` Deprecated.
    `ShiroAuthOptions` | `setConfig(JsonObject config)` Deprecated. Set the Shiro auth config.
    `ShiroAuthOptions` | `setType(ShiroAuthRealmType type)` Deprecated. Set the Shiro auth options type.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TYPE

          public static final ShiroAuthRealmType DEFAULT_TYPE

      Deprecated.

  - ### Constructor Detail

    - #### ShiroAuthOptions

          public ShiroAuthOptions()

      Deprecated.

    - #### ShiroAuthOptions

          public ShiroAuthOptions(ShiroAuthOptions that)

      Deprecated.

    - #### ShiroAuthOptions

          public ShiroAuthOptions(JsonObject json)

      Deprecated.

  - ### Method Detail

    - #### getType

          public ShiroAuthRealmType getType()

      Deprecated.
      Returns:
        the Shiro realm type

    - #### setType

          public ShiroAuthOptions setType(ShiroAuthRealmType type)

      Deprecated.
      Set the Shiro auth options type.
      Parameters:
        `type` - the type
      Returns:
        a reference to this, so the API can be used fluently

    - #### getConfig

          public JsonObject getConfig()

      Deprecated.
      Returns:
        the Shiro auth config

    - #### setConfig

          public ShiroAuthOptions setConfig(JsonObject config)

      Deprecated.
      Set the Shiro auth config.
      Parameters:
        `config` - the config
      Returns:
        a reference to this, so the API can be used fluently

    - #### clone

          public ShiroAuthOptions clone()

      Deprecated.
      Specified by:
        `clone` in interface `AuthOptions`
      Overrides:
        `clone` in class `Object`

    - #### createProvider

          public AuthProvider createProvider(Vertx vertx)

      Deprecated.
      Description copied from interface: `AuthOptions`
      Create the suitable provider for this option.
      Specified by:
        `createProvider` in interface `AuthOptions`
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the auth provider

Copyright © 2021 Eclipse. All rights reserved.